System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.NamespaceInfo), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

The contains objects. Each object is the same as an Import (<%@ Import %>) directive that applies to all pages and controls in the scope of the configuration file. The Import directive allows you to import a namespace into your ASP.NET page, making all its classes available for use on your page.

Contains a collection of namespace objects. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  The collection must not already contain a object with the same property value.

  Adds a object to the collection.

  A object to add to the collection. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("autoImportVBNamespace", DefaultValue=true)
  System.Boolean To be added.

  For ASP.NET pages written using Visual Basic the namespace is automatically imported unless the property is false.

  Gets or sets a value that determines whether the Visual Basic namespace is imported without having to specify it.

  2.0.0.0
- Method
  System.Void

  This method empties the collection and inserts a clear element into the appropriate section of the configuration file to remove all references to elements defined in higher-level configuration files and in the current configuration file.

  Removes all objects from the collection.

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added. To be added. To be added. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.NamespaceInfo `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  If the specified element is defined in a higher-level configuration file, this method inserts a remove element into the appropriate section of the configuration file at the level of the current application. If the element is defined in the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection; if it does not, a is thrown.

  Removes the object with the specified key from the collection.

  The namespace of a object to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  If the specified element is defined in a higher-level configuration file, this method inserts a remove element into the appropriate section of the configuration file at the level of the current application. If the element is defined in the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection; if it does not, a is thrown.

  Removes a object from the specified index in the collection.

  The index of a object to remove from the collection. 2.0.0.0